using UnityEngine;

public class Jump : MotionNote
{
    private static Sprite image = LoadNewSprite("Assets/MotionNotes/JP.png");
    public override Sprite Image
    {
        get
        {
            return image;
        }
    }

    public Jump(string key, string type, float start, float end = 0f)
        : base(key, type, start, end)
    {
        MotionName = "Jump";
    }
}
